import React from 'react';
import PropTypes from 'prop-types';
import { isTime } from '../shared/propTypes';
type NativeInputProps = {
    ariaLabel?: string;
    disabled?: boolean;
    maxTime?: string;
    minTime?: string;
    name?: string;
    onChange?: (event: React.ChangeEvent<HTMLInputElement>) => void;
    required?: boolean;
    value?: string | Date | null;
    valueType: 'hour' | 'minute' | 'second';
};
declare function NativeInput({ ariaLabel, disabled, maxTime, minTime, name, onChange, required, value, valueType, }: NativeInputProps): JSX.Element;
declare namespace NativeInput {
    var propTypes: {
        ariaLabel: PropTypes.Requireable<string>;
        disabled: PropTypes.Requireable<boolean>;
        maxTime: typeof isTime;
        minTime: typeof isTime;
        name: PropTypes.Requireable<string>;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
        required: PropTypes.Requireable<boolean>;
        value: PropTypes.Requireable<NonNullable<string | Date | null | undefined>>;
        valueType: PropTypes.Requireable<string>;
    };
}
export default NativeInput;
