import React from 'react';
import PropTypes from 'prop-types';
import Input from './Input';
import { isTime } from '../shared/propTypes';
import type { AmPmType } from '../shared/types';
type Hour12InputProps = {
    amPm: AmPmType | null;
    maxTime?: string;
    minTime?: string;
    value?: string | null;
} & Omit<React.ComponentProps<typeof Input>, 'max' | 'min' | 'name' | 'nameForClass'>;
declare function Hour12Input({ amPm, maxTime, minTime, value, ...otherProps }: Hour12InputProps): JSX.Element;
declare namespace Hour12Input {
    var propTypes: {
        amPm: PropTypes.Requireable<string>;
        ariaLabel: PropTypes.Requireable<string>;
        className: PropTypes.Validator<string>;
        disabled: PropTypes.Requireable<boolean>;
        hour: PropTypes.Requireable<string>;
        inputRef: PropTypes.Requireable<NonNullable<((...args: any[]) => any) | Required<PropTypes.InferProps<{
            current: PropTypes.Requireable<any>;
        }>> | null | undefined>>;
        maxTime: typeof isTime;
        minTime: typeof isTime;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
        onKeyDown: PropTypes.Requireable<(...args: any[]) => any>;
        onKeyUp: PropTypes.Requireable<(...args: any[]) => any>;
        placeholder: PropTypes.Requireable<string>;
        required: PropTypes.Requireable<boolean>;
        showLeadingZeros: PropTypes.Requireable<boolean>;
        value: PropTypes.Requireable<string>;
    };
}
export default Hour12Input;
