import React from 'react';
import PropTypes from 'prop-types';
import Input from './Input';
import { isTime } from '../shared/propTypes';
type Hour24InputProps = {
    maxTime?: string;
    minTime?: string;
    value?: string | null;
} & Omit<React.ComponentProps<typeof Input>, 'max' | 'min' | 'name' | 'nameForClass'>;
declare function Hour24Input({ maxTime, minTime, ...otherProps }: Hour24InputProps): JSX.Element;
declare namespace Hour24Input {
    var propTypes: {
        ariaLabel: PropTypes.Requireable<string>;
        className: PropTypes.Validator<string>;
        disabled: PropTypes.Requireable<boolean>;
        hour: PropTypes.Requireable<string>;
        inputRef: PropTypes.Requireable<NonNullable<((...args: any[]) => any) | Required<PropTypes.InferProps<{
            current: PropTypes.Requireable<any>;
        }>> | null | undefined>>;
        maxTime: typeof isTime;
        minTime: typeof isTime;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
        onKeyDown: PropTypes.Requireable<(...args: any[]) => any>;
        onKeyUp: PropTypes.Requireable<(...args: any[]) => any>;
        placeholder: PropTypes.Requireable<string>;
        required: PropTypes.Requireable<boolean>;
        showLeadingZeros: PropTypes.Requireable<boolean>;
        value: PropTypes.Requireable<string>;
    };
}
export default Hour24Input;
